%global pypi_name lru-dict

Name:          python-%{pypi_name}
Version:       1.3.0
Release:       %autorelease
Summary:       A fast and memory efficient LRU cache
License:       MIT
URL:           https://github.com/amitdev/%{pypi_name}
VCS:           git:%{url}.git
Source0:       %{pypi_source}
BuildRequires: gcc
BuildRequires: python3-devel
BuildRequires: python3-pytest

%description
%{summary}.

%package -n python3-%{pypi_name}
Summary: %{summary}

%description -n python3-%{pypi_name}
%{summary}.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files lru

%check
%pyproject_check_import
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
%autochangelog
